Skip to main content
`Ctrl`+`K`

# DMPlexLandauCreateMassMatrix

Create mass matrix for Landau in Plex space (not field major order of Jacobian) - puts mass matrix into ctx->M

## Synopsis

    #include "petscdmplex.h"
    #include "petsclandau.h"
    PetscErrorCode DMPlexLandauCreateMassMatrix(DM pack, Mat *Amat)

Collective

## Input Parameter

- pack - the `DM` object. Puts matrix in Landau context M field

## Output Parameter

- Amat - The mass matrix (optional), mass matrix is added to the `DM` context

## See Also

`DMPlexLandauCreateVelocitySpace()`

## Level

beginner

## Location

src/ts/utils/dmplexlandau/plexland.c

Index of all LANDAU routines
Table of Contents for all manual pages
Index of all manual pages